Bug 1878306 - FileNotFoundError: [Errno 2] No such file or directory: '/etc/fish/conf.d/conda.fish'
Summary: FileNotFoundError: [Errno 2] No such file or directory: '/etc/fish/conf.d/con...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: conda
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-11 20:30 UTC by Guillaume Poirier-Morency
Modified: 2021-05-25 17:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 17:58:24 UTC
Type: Bug


Attachments (Terms of Use)
Standard error from running fish shell after conda initialization (2.80 KB, text/plain)
2020-09-11 20:33 UTC, Guillaume Poirier-Morency
no flags Details

Description Guillaume Poirier-Morency 2020-09-11 20:30:37 UTC
Description of problem:

Conda does not work with fish shell since conda.fish is missing from fish configurations.

Version-Release number of selected component (if applicable):

I'm pretty sure Fedora 31 is also affected by this.


How reproducible:

Run conda init fish and launch a new fish shell.

Comment 1 Guillaume Poirier-Morency 2020-09-11 20:33:49 UTC
Created attachment 1714604 [details]
Standard error from running fish shell after conda initialization

Comment 2 Guillaume Poirier-Morency 2020-09-13 18:13:13 UTC
The missing file is normally provided by Conda:

https://github.com/conda/conda/tree/f1e707cf5b20a93a8376ca5b946c02944a79c0f6/conda/shell/etc/fish/conf.d

This seems to be a packaging issue.

Comment 3 Guillaume Poirier-Morency 2020-09-13 18:15:00 UTC
I can confirm that adding the missing file from upstream resolves the problem.

Comment 4 Guillaume Poirier-Morency 2020-09-13 18:34:17 UTC
The problem is related to conda init:

no change     /usr/condabin/conda
no change     /usr/bin/conda
no change     /usr/bin/conda-env
needs sudo    /usr/bin/activate
needs sudo    /usr/bin/deactivate
no change     /usr/etc/profile.d/conda.sh
no change     /usr/etc/fish/conf.d/conda.fish
needs sudo    /usr/shell/condabin/Conda.psm1
needs sudo    /usr/shell/condabin/conda-hook.ps1
needs sudo    /usr/lib/python3.8/site-packages/xontrib/conda.xsh
no change     /usr/etc/profile.d/conda.csh
no change     /home/guillaume/.config/fish/config.fish
No action taken.
Operation failed.

It assumes that the /etc dir is mounted under /usr/etc and thus fails to provide the necessary configuration for fish, bash, etc.

Comment 5 Orion Poplawski 2020-09-15 02:57:57 UTC
Yeah, 'conda init' is mostly broken and really shouldn't be necessary to run.  I probably should patch it out, but I don't really have the time for that now.

For now I'm shipping /etc/fish/conf.d/conda.fish in the main conda package - but I may need to rejigger that somehow to better reflect dependencies.  I definitely do not want to have conda require fish, and I'm not sure a conda-fish package would be very discoverable.

Please give the build here https://koji.fedoraproject.org/koji/taskinfo?taskID=51479151 a try.

Comment 6 Guillaume Poirier-Morency 2020-09-15 03:28:17 UTC
The build works fine now.

Conda has to adjust its packaging process to work better with system installations where the base environment is essentially in a read-only state. I could bring this issue upstream.

Thanks!

Comment 7 Orion Poplawski 2020-09-15 15:11:32 UTC
Please do.  Upstream has not seemed very interested in supporting this mode of install in the past so more people asking for it can only help.  Thanks.

Comment 8 Fedora Program Management 2021-04-29 17:11:21 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2021-05-25 17:58:24 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.